/**
 * @desc
 * @author linyuanjie
 * @date 2023/9/21
 */

import request from "@/router/axios";

// 字典值-规章制度文件名称
export function getRulesFileNameDict(query) {
  return request({
    url: "/admin/dict/type/dept_regulations_filename",
    method: "get",
    params: query
  });
}

// 保存部门规章制度
export function saveDeptRules(data) {
  return request({
    url: "/admin/dept/dept-regulations/save",
    method: "post",
    data
  });
}

// 查询部门规章制度列表
export function getDeptRulesList(query) {
  return request({
    url: "/admin/dept/dept-regulations/list",
    method: "get",
    params: query
  });
}
